| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
database.hpp File Reference
API

this file holds the database class definition More...

`#include "../my_config.h"`
`#include <list>`
`#include "archive.hpp"`
`#include "generic_file.hpp"`
`#include "data_tree.hpp"`
`#include "storage.hpp"`
`#include "database_options.hpp"`
`#include "on_pool.hpp"`

Go to the source code of this file.

## Classes
class | libdar::database
| the database class defines the dar_manager database More...

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

this file holds the database class definition

Definition in file database.hpp.